package com.sf._02_bigdecmail;

import java.math.BigDecimal;
import java.util.Scanner;

public class Test {
    public static void main(String[] args) {
        // 使用double类型计算  0.01 + 0.09
        /**
         * 在java 中
         * float 和double 虽然可以表示小数, 但是表示小数都不是精准小数
         *
         * 在大多数情况可以使用这个非精准小数
         *
         * 在什么情况必须要使用精准小数,设计到钱相关内容
         * 精准小数在java 当中使用BigDecimal
         */
//        System.out.println(0.09 + 0.01); // ?
        Scanner scanner = new Scanner(System.in);
        System.out.println("请输入第一个数字");
        String num1 = scanner.next();
        System.out.println("请输入第二个数字");
        String num2 = scanner.next();
        System.out.println("请输入运算符  + - * /");

        String operate = scanner.next();
        BigDecimal bigDecimal = new BigDecimal(num1);
        BigDecimal bigDecimal1 = new BigDecimal(num2);
        if("+".equals(operate)){
            System.out.println(bigDecimal.add(bigDecimal1));
        }else if("-".equals(operate)){
            System.out.println(bigDecimal.subtract(bigDecimal1));
        }else if("*".equals(operate)){
            System.out.println(bigDecimal.multiply(bigDecimal1));
        }else if("/".equals(operate)){
            System.out.println(bigDecimal.divide(bigDecimal1));
        }


    }
}
